@echo OFF
rem  * *******************************************************************
rem  *               CRT133W3.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create 133 byte print files for testing.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read an 80-byte file that contains REPORT
rem  * information.
rem  *
rem  * The job will create three (3) test files containing REPORT-oriented
rem  * information.
rem  *
rem  *                     ************
rem  *                     * CRT133W3 *
rem  *                     ********cmd*
rem  *                          *
rem  *                          *
rem  *                     ************     ************
rem  *                     *   echo   ******* RPT080T1 *
rem  *                     ********win*     *******lseq*
rem  *                          *
rem  *    ************     ************     ************
rem  *    * GETLS080 ******* CV80ALAR ******* PUTRS080 *   See Note-1
rem  *    *******lseq*     ********cbl*     *******rseq*
rem  *                          *
rem  *    ************     ************     ************
rem  *    * RPT080D1 ******* RPT133C8 ******* RPT133D1 *   See Note-2
rem  *    *******lseq*     ********cbl*     *******rseq*
rem  *                          *
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  *    Note-1: RPT080T1 will be mapped to GETLS080
rem  *    Note-1: GETLS080 will be mapped to RPT080D1
rem  *
rem  * *******************************************************************
rem  * Prepare the environment...
     set CmdName=CRT133W3
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
rem  *
rem  * *******************************************************************
     set RPT080T1=%BaseLib1%\DATA\TXT1\RPT080T3.TXT
     call SimoNOTE "DataMake %RPT080T1% "
rem  *    ....:....1....:....2....:....3....:....4....:....5....:....6.
     echo 1Report Identifier     Primary Header              2010/02/14>%RPT080T1%
     echo  Page: 0001            Sub-Title Info              16:14:44pm>>%RPT080T1%
     echo  Left Data-01          Center Data 01           Right Data 01>>%RPT080T1%
     echo  Left Data-02          Center Data 02           Right Data 02>>%RPT080T1%
     echo  Left Data-03          Center Data 03           Right Data 03>>%RPT080T1%
     echo  Left Data-04          Center Data 04           Right Data 04>>%RPT080T1%
     echo  Left Data-05          Center Data 05           Right Data 05>>%RPT080T1%
     echo 1Report Identifier     Primary Header              2010/02/14>>%RPT080T1%
     echo  Page: 0002            Sub-Title Info              16:14:44pm>>%RPT080T1%
     echo  Left Data-21          Center Data 21           Right Data 21>>%RPT080T1%
rem  *
rem  * *******************************************************************
     call SimoNOTE "Continue Convert LSEQ to RSEQ 80 Bytes"
     set GETLS080=%RPT080T1%
     set PUTRS080=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.RPT080D3.DAT
     call SimoNOTE "DataTake %GETLS080% "
     call SimoNOTE "DataMake %PUTRS080% "
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if not exist %PUTRS080% set JobStatus=0003
     if not "%JobStatus%" == "0000" goto EojNok
rem  *
rem  * *******************************************************************
     call SimoNOTE "Convert RSEQ 80 Bytes to RSEQ 133 bytes report file"
     set RPT080D1=%PUTRS080%
     set RPT133D1=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.RPT133D3.DAT
     call SimoNOTE "DataTake %RPT080D1% "
     call SimoNOTE "DataMake %RPT133D1% "
     if exist %RPT133D1% del %RPT133D1%
     run RPT133C8
     if exist %RPT133D1% goto :EojAok
     set JobStatus=0020
     goto :EojNok
rem  *
rem  * *******************************************************************
:EojAok
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
:End
     if not "%SIMOGENS%" == "BATCH" pause
