@echo OFF
rem  * *******************************************************************
rem  *               R133BPW1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Compare two sequential files
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * This set of programs will compare two record sequential (RSEQ)
rem  * files using the conditional bypass of records to be compared.
rem  * The RSEQ files is identical.
rem  * Therefore, an Equal status will be posted with a normal EOJ.
rem  *
rem  *                     ************
rem  *                     * R133BPW1 *
rem  *                     ********cmd*
rem  *                          *
rem  *                          *
rem  *    ************     ************     ************
rem  *    * RPT133D1 *-----* R133BPC1 *-----*  SYSLOG  *
rem  *    *******rseq*  *  ********cbl*     ************
rem  *                  *       *
rem  *    ************  *       *
rem  *    * RPT133D2 *--*       *
rem  *    *******rseq*          *
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  * *******************************************************************
rem  * Step   1   Delete any previously created file...
rem  *
     set CmdName=R133BPW1
     call ..\Env1BASE %CmdName%
     set JobStatus=0000
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
:PrepareQSAM
     call SimoNOTE "StepInfo Prepare the File Name Mapping"
     set REPORT01=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.RPT133D1.DAT
     set REPORT02=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.RPT133D2.DAT
     call SimoNOTE "SYSUT1 is %REPORT01%"
     call SimoNOTE "SYSUT2 is %REPORT02%"
rem  *
rem  * *******************************************************************
rem  * Step   2   Compare the two files...
rem  *
:ExecuteCompareRoutine
     call SimoNOTE "StepInfo Execute the Compare Program"
     run R133BPC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "Compare-One is %REPORT01%"
     call SimoNOTE "Compare-Two is %REPORT02%"
rem  *
rem  *
rem  * *******************************************************************
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     if not "SIMOGENS" == "BATCH" call SYSLOGW1
     if not "SIMOGENS" == "BATCH" pause
