//* *******************************************************************
//*        SYSLOGP8.prc - a JCL Procedure Batch Job Processing        *
//*      This JCL Procedure is provided by SimoTime Technologies      *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Subject: Create a Sequential File with Variable Length Records
//* Author:  SimoTime Technologies
//* Date:    January 1,1998
//*
//* This PROC needs the &DDSYSLOG defined by the calling JCL member...
//* //       SET  DDSYSLOG=AAAA.BBBB.CCCC
//* //       EXEC SYSLOGP8
//*
//* The 1st job step (DELETES1) will delete a previously created
//* file.
//* The 2nd job step (NEWCATS1) will create a new file.
//*
//* Note: The LRECL is four (4) bytes bigger than the logical record
//*       that is defined in the program that writes to SYSLOG. This
//*       allows for the four (4) byte Record Descriptor Word (RDW)
//*       that is appended to the front of each record. The program
//*       defines the records as varying in size from 64 to 1,051.
//* Note: It is necessary to pre-allocate the SYSLOG file. The program
//*       that does the actual file compare will do an "OPEN EXTEND".
//*       If the file is not pre-allocated, an open error will be
//*       posted and the program will execute but will only display
//*       truncated information to SYSOUT.
//*
//*********************************************************************
//SYSLOGP8 PROC
//*
//* *******************************************************************
//* Step 1 of 2, Delete a previously created log file
//*
//JOBSETUP EXEC PGM=IEFBR14
//SYSUT2   DD  DSN=&DDSYSLOG,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=V,LRECL=1055,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2, Create a new RSEQ file with variable length records
//*
//NEWCATS1 EXEC PGM=IEFBR14
//SYSOUT DD  SYSOUT=*
//SYSUT2   DD  DSN=&DDSYSLOG,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=V,LRECL=1055,DSORG=PS)
//*
//         PEND
//*
